/*
 * Copyright 2012 Clemens Akens
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.clebert.jlingua;

/**
 * This class represents an exception thrown by {@link Validator}.
 *
 * @author Clemens Akens
 */
@SuppressWarnings("serial")
public class ValidationException extends Exception {

    /**
     * This constructor instantiates a new validation exception.
     */
    public ValidationException() {
    }

    /**
     * This constructor instantiates a new validation exception.
     *
     * @param message
     *            The message of the new validation exception.
     */
    public ValidationException(final String message) {
        super(message);
    }

    /**
     * This constructor instantiates a new validation exception.
     *
     * @param message
     *            The message of the new validation exception.
     * @param cause
     *            The cause of the new validation exception.
     */
    public ValidationException(final String message, final Throwable cause) {
        super(message, cause);
    }

    /**
     * This constructor instantiates a new validation exception.
     *
     * @param cause
     *            The cause of the new validation exception.
     */
    public ValidationException(final Throwable cause) {
        super(cause);
    }
}
